#include "c2d2/chien2d2.h"

extern bool encerra;
extern unsigned int spmira;
extern unsigned int botao_jogar;
extern unsigned int botao_menu;
extern unsigned int botao_sair;
extern int estadoatual;
extern int sai_fase;
extern unsigned int pause;

void TelaPause()//TELA PAUSE
{
	C2D2_Botao *teclas = C2D2_PegaTeclas();
    C2D2_Mouse *mouse = C2D2_PegaMouse();
    int jogar=0, menu=0, sair=0; //PODE SER ALTERADO
	int opt[3], op = -1;
	C2D2_Sincroniza(C2D2_FPS_PADRAO);
	do
	{
        if(teclas[C2D2_ESC].pressionado)
            encerra=true;
        if(C2D2_ColidiuSprites(spmira, 0, mouse->x, mouse->y, botao_jogar, 0, 305, 250)) //mouse colidiu com botão jogar
            opt[0] = 1;
        else
            opt[0] = 0;
		if(C2D2_ColidiuSprites(spmira, 0, mouse->x, mouse->y, botao_menu, 0, 305, 310)) //mouse colidiu com botão menu
            opt[1] = 1;
        else
            opt[1] = 0;
        if(C2D2_ColidiuSprites(spmira, 0, mouse->x, mouse->y, botao_sair, 0, 305,370)) //mouse colidiu com botão sair
            opt[2] = 1;
        else
            opt[2] = 0;

        if(mouse->botoes[C2D2_MESQUERDO].pressionado)
        {
			for(int I = 0; I<3; I++){
				if(opt[I] == 1){
					op = I;
					break;
				}
			}

			switch(op){
				case 0:
					estadoatual = 0;
					break;
				case 1:
					sai_fase = 1;
					estadoatual = 1;
					break;
				case 2:
					sai_fase = 1;
					encerra = true;
					break;
				default:
					op = -1;
			}
        }
		C2D2_LimpaTela();
        C2D2_DesenhaSprite(pause, 0, 0, 0);
        C2D2_DesenhaSprite(botao_jogar, opt[0], 305, 250);
		C2D2_DesenhaSprite(botao_menu, opt[1], 305, 310);
        C2D2_DesenhaSprite(botao_sair, opt[2], 305, 370);
        C2D2_DesenhaSprite(spmira, 0, mouse->x, mouse->y);
		C2D2_Sincroniza(C2D2_FPS_PADRAO);
	}
	while(!encerra && estadoatual==4);
	sai_fase = 0; //FORÇA A ZERAR
}